# Reservations (Inventory)

These endpoints handle the reservations.

## List reservations

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"These endpoints handle the reservations.","name":"Reservations (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReservationsPaginatedResult":{"properties":{"pageInfo":{"$ref":"#/components/schemas/PageInfo"},"reservations":{"items":{"$ref":"#/components/schemas/Reservation"},"type":"array"},"total":{"minimum":0,"type":"number"}},"required":["total","pageInfo","reservations"],"title":"ReservationsPaginatedResult","type":"object","description":"ReservationsPaginatedResult"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"Reservation":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"type":"string"},"host":{"$ref":"#/components/schemas/ReservationHost"},"id":{"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"quantity":{"type":"number"},"relatedRefs":{"$ref":"#/components/schemas/RelatedRefs"},"tenantArticleId":{"type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","facilityRef","host","id","quantity","relatedRefs","tenantArticleId"],"title":"Reservation","type":"object","description":"Reservation"},"ReservationHost":{"properties":{"reference":{"type":"string"},"type":{"enum":["STOCK","EXPECTED_STOCK","NONE"],"type":"string"}},"required":["reference","type"],"title":"ReservationHost","type":"object","description":"ReservationHost"},"RelatedRefs":{"properties":{"orderRefs":{"items":{"type":"string"},"type":"array"},"pickJobRefs":{"items":{"type":"string"},"type":"array"},"processRefs":{"items":{"type":"string"},"type":"array"},"routingPlanRefs":{"items":{"type":"string"},"type":"array"},"transferRefs":{"items":{"type":"string"},"type":"array"}},"title":"RelatedRefs","type":"object","description":"RelatedRefs"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/reservations":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getPaginatedReservations","parameters":[{"in":"query","name":"size","required":false,"schema":{"default":25,"maximum":100,"minimum":1,"type":"number"}},{"description":"The cursor to start after. The value is provided in the `pageInfo.endCursor` field of the response.","in":"query","name":"after","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReservationsPaginatedResult"}}},"description":"Reservation details"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List reservations","tags":["Reservations (Inventory)"]}}}}
```

## Get reservation

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"These endpoints handle the reservations.","name":"Reservations (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Reservation":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"type":"string"},"host":{"$ref":"#/components/schemas/ReservationHost"},"id":{"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"quantity":{"type":"number"},"relatedRefs":{"$ref":"#/components/schemas/RelatedRefs"},"tenantArticleId":{"type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","facilityRef","host","id","quantity","relatedRefs","tenantArticleId"],"title":"Reservation","type":"object","description":"Reservation"},"ReservationHost":{"properties":{"reference":{"type":"string"},"type":{"enum":["STOCK","EXPECTED_STOCK","NONE"],"type":"string"}},"required":["reference","type"],"title":"ReservationHost","type":"object","description":"ReservationHost"},"RelatedRefs":{"properties":{"orderRefs":{"items":{"type":"string"},"type":"array"},"pickJobRefs":{"items":{"type":"string"},"type":"array"},"processRefs":{"items":{"type":"string"},"type":"array"},"routingPlanRefs":{"items":{"type":"string"},"type":"array"},"transferRefs":{"items":{"type":"string"},"type":"array"}},"title":"RelatedRefs","type":"object","description":"RelatedRefs"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/reservations/{reservationId}":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getReservation","parameters":[{"in":"path","name":"reservationId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Reservation"}}},"description":"Reservation details"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Get reservation","tags":["Reservations (Inventory)"]}}}}
```

## Call reservations action

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />REMOVE\_RESERVATIONS\_KEEP\_STOCKS: Removes reservations without modifying stock levels.\
> \
> &#x20;     REMOVE\_RESERVATIONS\_AND\_REDUCE\_STOCKS:  Removes reservations and reduces stock levels accordingly.<br>

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"These endpoints handle the reservations.","name":"Reservations (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReservationAction":{"properties":{"name":{"description":"Which action to perform","enum":["REMOVE_RESERVATIONS_REDUCE_STOCKS","REMOVE_RESERVATIONS_KEEP_STOCKS"],"type":"string"},"reservationSelector":{"allOf":[{"$ref":"#/components/schemas/ReservationActionSelector"}],"minProperties":1}},"required":["name","reservationSelector"],"title":"ReservationAction","type":"object","description":"ReservationAction"},"ReservationActionSelector":{"properties":{"orderRefs":{"items":{"type":"string"},"maxItems":1,"minItems":1,"type":"array"},"reservationPredicate":{"$ref":"#/components/schemas/ReservationSearchQuery"},"reservationRefs":{"items":{"type":"string"},"maxItems":100,"minItems":1,"type":"array"},"routingPlanRefs":{"items":{"type":"string"},"maxItems":1,"minItems":1,"type":"array"},"tenantOrderIds":{"items":{"type":"string"},"maxItems":1,"minItems":1,"type":"array"}},"title":"ReservationActionSelector","type":"object","description":"ReservationActionSelector"},"ReservationSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/ReservationSearchQuery"},"maxItems":500,"type":"array"},"facilityRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by facilityRef"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"or":{"items":{"$ref":"#/components/schemas/ReservationSearchQuery"},"maxItems":500,"type":"array"},"relatedRefs":{"allOf":[{"$ref":"#/components/schemas/ReservationRelatedRefsFilter"}],"description":"Nested search by relatedRefs"},"tenantArticleId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantArticleId"}},"title":"ReservationSearchQuery","type":"object","description":"ReservationSearchQuery"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"ReservationRelatedRefsFilter":{"properties":{"orderRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by orderRefs"},"pickJobRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by pickJobRefs"},"routingPlanRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by routingPlanRefs"},"transferRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by transferRefs"}},"title":"ReservationRelatedRefsFilter","type":"object","description":"ReservationRelatedRefsFilter"},"StringListFilter":{"properties":{"contains":{"$ref":"#/components/schemas/StringEqFilter"}},"title":"StringListFilter","type":"object","description":"StringListFilter"},"StringEqFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"}},"title":"StringEqFilter","type":"object","description":"StringEqFilter"},"ReservationActionResult":{"properties":{"reservation":{"$ref":"#/components/schemas/StrippedReservation"},"status":{"enum":["DELETED"],"type":"string"},"stockOperations":{"items":{"$ref":"#/components/schemas/ReservationActionStockOperation"},"type":"array"}},"required":["status","reservation"],"title":"ReservationActionResult","type":"object","description":"ReservationActionResult"},"StrippedReservation":{"properties":{"id":{"type":"string"}},"required":["id"],"title":"StrippedReservation","type":"object","description":"StrippedReservation"},"ReservationActionStockOperation":{"properties":{"status":{"enum":["REDUCED","DELETED"],"type":"string"},"stock":{"$ref":"#/components/schemas/ReservationStock"}},"required":["status","stock"],"title":"ReservationActionStockOperation","type":"object","description":"ReservationActionStockOperation"},"ReservationStock":{"properties":{"id":{"type":"string"},"version":{"type":"number"}},"required":["id","version"],"title":"ReservationStock","type":"object","description":"ReservationStock"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/reservations/actions":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />REMOVE_RESERVATIONS_KEEP_STOCKS: Removes reservations without modifying stock levels.\n\n      REMOVE_RESERVATIONS_AND_REDUCE_STOCKS:  Removes reservations and reduces stock levels accordingly.\n","operationId":"performReservationActions","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReservationAction"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/ReservationActionResult"},"type":"array"}}},"description":"List of reservation removal results with stock operations"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Call reservations action","tags":["Reservations (Inventory)"]}}}}
```

## List reservations (search)

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Search for Reservation

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"These endpoints handle the reservations.","name":"Reservations (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReservationSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/ReservationSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/ReservationSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"ReservationSearchPayload","type":"object","description":"ReservationSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"ReservationSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/ReservationSearchQuery"},"maxItems":500,"type":"array"},"facilityRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by facilityRef"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"or":{"items":{"$ref":"#/components/schemas/ReservationSearchQuery"},"maxItems":500,"type":"array"},"relatedRefs":{"allOf":[{"$ref":"#/components/schemas/ReservationRelatedRefsFilter"}],"description":"Nested search by relatedRefs"},"tenantArticleId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantArticleId"}},"title":"ReservationSearchQuery","type":"object","description":"ReservationSearchQuery"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"ReservationRelatedRefsFilter":{"properties":{"orderRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by orderRefs"},"pickJobRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by pickJobRefs"},"routingPlanRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by routingPlanRefs"},"transferRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by transferRefs"}},"title":"ReservationRelatedRefsFilter","type":"object","description":"ReservationRelatedRefsFilter"},"StringListFilter":{"properties":{"contains":{"$ref":"#/components/schemas/StringEqFilter"}},"title":"StringListFilter","type":"object","description":"StringListFilter"},"StringEqFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"}},"title":"StringEqFilter","type":"object","description":"StringEqFilter"},"ReservationSort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"},"lastModified":{"enum":["ASC","DESC"],"type":"string"}},"title":"ReservationSort","type":"object","description":"ReservationSort"},"ReservationPaginatedResult":{"properties":{"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"reservations":{"items":{"$ref":"#/components/schemas/Reservation"},"type":"array"},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","reservations"],"title":"ReservationPaginatedResult","type":"object","description":"ReservationPaginatedResult"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"Reservation":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"type":"string"},"host":{"$ref":"#/components/schemas/ReservationHost"},"id":{"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"quantity":{"type":"number"},"relatedRefs":{"$ref":"#/components/schemas/RelatedRefs"},"tenantArticleId":{"type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","facilityRef","host","id","quantity","relatedRefs","tenantArticleId"],"title":"Reservation","type":"object","description":"Reservation"},"ReservationHost":{"properties":{"reference":{"type":"string"},"type":{"enum":["STOCK","EXPECTED_STOCK","NONE"],"type":"string"}},"required":["reference","type"],"title":"ReservationHost","type":"object","description":"ReservationHost"},"RelatedRefs":{"properties":{"orderRefs":{"items":{"type":"string"},"type":"array"},"pickJobRefs":{"items":{"type":"string"},"type":"array"},"processRefs":{"items":{"type":"string"},"type":"array"},"routingPlanRefs":{"items":{"type":"string"},"type":"array"},"transferRefs":{"items":{"type":"string"},"type":"array"}},"title":"RelatedRefs","type":"object","description":"RelatedRefs"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/reservations/search":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Search for Reservation","operationId":"searchReservation","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReservationSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReservationPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List reservations (search)","tags":["Reservations (Inventory)"]}}}}
```
